#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="90mm M3 cannon",
			RPM=6.5,
			sight					= {
										[1] = {
										x=0.75,
										y=1.15,
										z=-0.65,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 110,
			barrels		= {
							[1] = {
								x = 0.65,
								y = 0.35,
								z = -3.5,
								}

							},
			
			magazines = {
						[1] = {name="M82 Shell (APCBC)",
						caliber 				= 90,
						velocity				= 300,
						explosionSize			= 0.5,
						maxPenDepth = 1.73,
						payload					= "AP",
						magazineCount             = 18,
					},
						[2] = {name="M71 Shell (HE)",
						caliber 				= 90,
						velocity				= 300,
						explosionSize			= 0.3,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 17, 
					},
						[3] = {name="T33 shot (APBC)",
						caliber 				= 90,
						velocity				= 300,
						maxPenDepth 			= 1.75,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 17, 
					},
					[4] = {name="M304 shot (APCR)",
						caliber 				= 90,
						velocity				= 300,
						maxPenDepth 			= 2.87,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 17, 
					},
				},
				coax = 	{
					name="7.62mm M1919A4",
					caliber 				= 7.62,
					sight					= {
												[1] = {
												x=0.6,
												y=1.4,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								maxPenDepth = 0.076,
								r						= 1.9,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},	
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm M1919A4",
			sight					= {
										[1] = {
										x=0.5,
										y=1.3,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						maxPenDepth = 0.076,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}