#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="M2 Browning",
			RPM=550,
			sight					= {
										[1] = {
										x=0.6,
										y=1.45,
										z=-0.35,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			canZoom					= false,
			soundFile 				="MOD/sounds/HeavySingleShot",
			mouseDownSoundFile 		=	"MOD/sounds/HeavyAutoFire",
			loopSoundFile			= 	"MOD/sounds/HeavyAutoFire",
			reloadPlayOnce			= true,
			magazineCapacity 		= 110,
			recoil 					= 0.10,
			weapon_recoil 			= 20,
			dispersion 				= 6,
			gunRange				= 3000,
			elevationSpeed			= .5,
			smokeFactor 			= .1,
			smokeMulti				= 1,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.4,
								y = 0.1,
								z = -1.9,
								}

							},
			
			magazines = {
						[1] = {name="M61 shot (APCBC)",
						name = "12.7 x 99mm",
						magazineCapacity = 110,
						ammoCount = 0,
						magazineCount = 12,
						caliber 				= 12.7,
						velocity				= 210,
						hit 					=3,
						maxPenDepth 			= 0.12,
						timeToLive 				= 7,
						launcher				= "mgun",
						payload					= "AP",
						gravityCoef 			= 1.3,
						shellWidth				= 0.1,
						shellHeight				= 0.1,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
						tracer 					= 2,
						tracerL					= 7,
						tracerW					= 2,
						tracerR					= 1.8,
						tracerG					= 1.0, 
						tracerB					= 1.0, 
						shellSpriteName			= "MOD/gfx/shellModel2.png",
						shellSpriteRearName		= "MOD/gfx/shellRear2.png",
					},
				},
				coax = 	{
					name="7.62mm M1919A4",
					caliber 				= 7.62,
					sight					= {
												[1] = {
												x=0.6,
												y=1.4,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								RPM = 450,
								maxPenDepth = 0.007,
								r						= 1.9,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm M1919A4",
			sight					= {
										[1] = {
										x=0.5,
										y=1.3,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						RPM = 450,
						maxPenDepth = 0.007,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}