#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="76.2mm M7 cannon",
			RPM=8.5,
			sight					= {
										[1] = {
										x=0.65,
										y=1.65,
										z=-0.25,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.35,
								y = 0.1,
								z = -3.9,
								}

							},
			
			magazines = {
						[1] = {name="M62 Shell (APCBC)",
						caliber 				= 76,
						velocity				= 280,
						explosionSize			= 0.5,
						maxPenDepth = 1.5,
						payload					= "AP",
						magazineCount             = 19,
					},
						[2] = {name="M42A1 Shell (HE)",
						caliber 				= 76,
						velocity				= 280,
						explosionSize			= 0.5,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 19, 
					},
						[3] = {name="79 shot (AP)",
						caliber 				= 76,
						velocity				= 280,
						maxPenDepth 			= 1.3,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 18, 
					},
						[4] = {name="M63 shot (APCR)",
						caliber 				= 76,
						velocity				= 280,
						maxPenDepth 			= 1.9,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 19, 
					},
				},
				coax = 	{
					name="37mm M3 Cannon",
					caliber 				= 37,
					weaponType 				= "cannon",
					RPM=18.0,
					sight					= {
												[1] = {
												x=0.65,
												y=1.65,
												z=-0.25,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					soundFile				= "MOD/sounds/Relic700KwK37",
					reloadSound				= "MOD/sounds/Relic700KwKReload",
					reloadPlayOnce			= true,
												-- aimForwards = true,
					zero_range 				= 200,
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
						[1] = 
						{
							name="M51B1/B2 (APCBC)",
							caliber 				= 37,
							velocity				= 230,
							maxPenDepth 			= 0.87,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "AP",
							magazineCapacity = 1,
							magazineCount             = 101, 
						},
						[2] = 
						{
							name="M63 Shell (HE)",
							caliber 				= 37,
							velocity				= 230,
							explosionSize			= 0.4,
							maxPenDepth 			= 0.2,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "HE",
							magazineCapacity = 1,
							magazineCount             = 101, 
							},
						},
				},	
		},
		["hull_mg"] = 	{
			caliber 				= 12.7,
			name="M2 Browning",
			canZoom					= false,
			RPM 					= 1100,
			reload 					= 4,
			magazineCapacity 		= 110,
			recoil 					= 0.10,
			weapon_recoil 			= 20,
			dispersion 				= 6,
			gunRange				= 3000,
			elevationSpeed			= .5,
			smokeFactor 			= .1,
			smokeMulti				= 1,
			soundFile 				=	"MOD/sounds/HeavySingleShot",
			mouseDownSoundFile 		=	"MOD/sounds/HeavyAutoFire",
			loopSoundFile			= 	"MOD/sounds/HeavyAutoFire",	
			sight					= {
										[1] = {
										x=0.9,
										y=1.3,
										z=-0.6,
											},
										},
			barrels		= {
							[1] = {
								x = 0.25,
								y = 0.2,
								z = -0.8,
								},
							},

			-- 				},
			
			magazines = {
						[1] = {
						name = "12.7 x 99mm",
						magazineCapacity = 220,
						ammoCount = 0,
						magazineCount = 12,
						velocity				= 210,
						hit 					=3,
						maxPenDepth 			= 0.12,
						timeToLive 				= 7,
						launcher				= "mgun",
						payload					= "AP",
						gravityCoef 			= 1.3,
						shellWidth				= 0.1,
						shellHeight				= 0.1,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
						tracer 					= 2,
						tracerL					= 7,
						tracerW					= 2,
						tracerR					= 1.8,
						tracerG					= 1.0, 
						tracerB					= 1.0, 
						shellSpriteName			= "MOD/gfx/shellModel2.png",
						shellSpriteRearName		= "MOD/gfx/shellRear2.png",
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}