#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="105mm M4 Howitzer",
			RPM=5.0,
			cannonBlast 			= 10,
			weapon_recoil 			= 100,
			recoil 					= 2.5,
			sight					= {
										[1] = {
										x=0.6,
										y=1.45,
										z=-0.3,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.5,
								y = 0.15,
								z = -1.7,
								}

							},
			
			magazines = {
						[1] = {name="M67 shot (HEAT)",
						caliber 				= 105,
						velocity				= 150,
						explosionSize			= 0.5,
						maxPenDepth = 1.3,
						payload					= "HEAT",
						magazineCount             = 33,
					},
						[2] = {name="M1 Shell (HE)",
						caliber 				= 105,
						velocity				= 150,
						explosionSize			= 0.8,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 33, 
					},
				},
				coax = 	{
					name="7.62mm M1919A4",
					caliber 				= 7.62,
					sight					= {
												[1] = {
												x=0.6,
												y=1.4,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								RPM = 450,
								maxPenDepth = 0.007,
								r						= 1.9,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm M1919A4",
			sight					= {
										[1] = {
										x=0.5,
										y=1.3,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						RPM = 450,
						maxPenDepth = 0.007,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}